import { request } from './request'

const baseUri = ''
const parkActivity = '/wx/parkActivity'

export function list(data) {
    return request({
        url: baseUri + parkActivity + '/list',
        method: 'post',
        data: data
    })
}

export function getActivityById(id, userId) {
    return request({
        url: baseUri + parkActivity + '/getActivityById?id=' + id + '&userId=' + userId,
        method: 'get'
    })
}

export function clickCollect(data) {
    return request({
        url: baseUri + parkActivity + '/clickCollect',
        method: 'post',
        data: data
    })
}

export function insertRegisSignInfo(data) {
    return request({
        url: baseUri + parkActivity + '/insertRegisSignInfo',
        method: 'post',
        data: data
    })
}

export function listRegisSignInfo(data) {
    return request({
        url: baseUri + parkActivity + '/listRegisSignInfo',
        method: 'post',
        data: data
    })
}
